crunchy-cli-archive(1)

NAME
crunchy-cli archive - Archive a video

SYNOPSIS
crunchy-cli archive [-a|--audio] [-s|--subtitle] [-o|--output] [--output-specials] [--universal-output] [-r|--resolution] [-m|--merge] [--merge-time-tolerance] [--merge-sync-tolerance] [--merge-sync-precision] [--language-tagging] [--ffmpeg-preset] [--ffmpeg-threads] [--default-subtitle] [--include-fonts] [--include-chapters] [--no-closed-caption] [--skip-existing] [--skip-existing-method] [--skip-specials] [-y|--yes] [-t|--threads] [-h|--help] <URLS>

DESCRIPTION
Archive a video

OPTIONS

-a, --audio=AUDIO [default: ja-JP,en-US]
    Audio languages. Can be used multiple times. Available languages are:
      ar-ME → Arabic
      ar-SA → Arabic (Saudi Arabia)
      ca-ES → Catalan
      de-DE → German
      en-IN → English (India)
      en-US → English (US)
      es-419 → Spanish (Latin America)
      es-ES → Spanish (European)
      es-LA → Spanish (Latin America)
      fr-FR → French
      hi-IN → Hindi
      id-ID → Indonesian
      it-IT → Italian
      ja-JP → Japanese
      ko-KR → Korean
      ms-MY → Malay
      pl-PL → Polish
      pt-BR → Portuguese (Brazil)
      pt-PT → Portuguese (Europe)
      ru-RU → Russian
      ta-IN → Tamil
      te-IN → Telugu
      th-TH → Thai
      tr-TR → Turkish
      vi-VN → Vietnamese
      zh-CN → Chinese (China)
      zh-CN → Chinese (China)
      zh-TW → Chinese (Mandarin) IETF tagged language codes for the shown available locales can be used too

-s, --subtitle=SUBTITLE [default: ar-ME,ar-SA,ca-ES,de-DE,en-IN,en-US,es-419,es-ES,es-LA,fr-FR,hi-IN,id-ID,it-IT,ja-JP,ko-KR,ms-MY,pl-PL,pt-BR,pt-PT,ru-RU,ta-IN,te-IN,th-TH,tr-TR,vi-VN,zh-CN,zh-CN,zh-TW]
    Subtitle languages. Can be used multiple times. Available languages are: ar-ME, ar-SA, ca-ES, de-DE, en-IN, en-US, es-419, es-ES, es-LA, fr-FR, hi-IN, id-ID, it-IT, ja-JP, ko-KR, ms-MY, pl-PL, pt-BR, pt-PT, ru-RU, ta-IN, te-IN, th-TH, tr-TR, vi-VN, zh-CN, zh-CN, zh-TW IETF tagged language codes for the shown available locales can be used too

-o, --output=OUTPUT [default: {title}.mkv]
    Name of the output file. If you use one of the following pattern they will get replaced:
      {title} → Title of the video
      {series_name} → Name of the series
      {season_name} → Name of the season
      {audio} → Audio language of the video
      {width} → Width of the video
      {height} → Height of the video
      {season_number} → Number of the season
      {episode_number} → Number of the episode
      {relative_episode_number} → Number of the episode relative to its season
      {sequence_number} → Like '{episode_number}' but without possible non-number characters
      {relative_sequence_number} → Like '{relative_episode_number}' but with support for episode 0's and .5's
      {release_year} → Release year of the video
      {release_month} → Release month of the video
      {release_day} → Release day of the video
      {series_id} → ID of the series
      {season_id} → ID of the season
      {episode_id} → ID of the episode

--output-specials=OUTPUT_SPECIALS
    Name of the output file if the episode is a special. If not set, the '-o'/'--output' flag will be used as name template

--universal-output
    Sanitize the output file for use with all operating systems. This option only affects template options and not static characters.

-r, --resolution=RESOLUTION [default: best]
    The video resolution. Can either be specified via the pixels (e.g. 1920x1080), the abbreviation for pixels (e.g. 1080p) or 'common-use' words (e.g. best). Specifying the exact pixels is not recommended, use one of the other options instead. Crunchyroll let you choose the quality with pixel abbreviation on their clients, so you might be already familiar with the available options. The available common-use words are 'best' (choose the best resolution available) and 'worst' (worst resolution available)

-m, --merge=MERGE [default: auto]
    Because of local restrictions (or other reasons) some episodes with different languages does not have the same length (e.g. when some scenes were cut out). With this flag you can set the behavior when handling multiple language.
        Valid options are 'audio' (stores one video and all other languages as audio only), 'video' (stores the video + audio for every language), 'auto' (detects if videos differ in length: if so, behave like 'video' else like 'audio') and 'sync' (detects if videos differ in length: if so, tries to find the offset of matching audio parts and removes it from the beginning, otherwise it behaves like 'audio')

--merge-time-tolerance=MERGE_TIME_TOLERANCE [default: 200]
    If the merge behavior is 'auto' or 'sync', consider videos to be of equal lengths if the difference in length is smaller than the specified milliseconds

--merge-sync-tolerance=MERGE_SYNC_TOLERANCE [default: 6]
    If the merge behavior is 'sync', specify the difference by which two fingerprints are considered equal, higher values can help when the algorithm fails

--merge-sync-precision=MERGE_SYNC_PRECISION [default: 4]
    If the merge behavior is 'sync', specify the amount of offset determination runs from which the final offset is calculated, higher values will increase the time required but lead to more precise offsets

--language-tagging=LANGUAGE_TAGGING
    Specified which language tagging the audio and subtitle tracks and language specific format options should have. Valid options are: 'default' (how Crunchyroll uses it internally), 'ietf' (according to the IETF standard; you might run in issues as there are multiple locales which resolve to the same IETF language code, e.g. 'es-LA' and 'es-ES' are both resolving to 'es')

--ffmpeg-preset=FFMPEG_PRESET
    Presets for converting the video to a specific coding format. If you need more specific ffmpeg customizations you can pass ffmpeg output arguments instead of a preset as value. Available presets:
      h264 (h264 encoded with default video quality/compression)
      h264-nvidia (h264 encoded with nvidia hardware acceleration)
      h264-amd (h264 encoded with amd hardware acceleration)
      h264-apple (h264 encoded with apple hardware acceleration)
      h264-lossless (h264 encoded with lossless video quality/compression)
      h264-normal (h264 encoded with normal video quality/compression)
      h264-low (h264 encoded with low video quality/compression)
      h264-nvidia-lossless (h264 encoded with nvidia hardware acceleration and lossless video quality/compression)
      h264-nvidia-normal (h264 encoded with nvidia hardware acceleration and normal video quality/compression)
      h264-nvidia-low (h264 encoded with nvidia hardware acceleration and low video quality/compression)
      h264-amd-lossless (h264 encoded with amd hardware acceleration and lossless video quality/compression)
      h264-amd-normal (h264 encoded with amd hardware acceleration and normal video quality/compression)
      h264-amd-low (h264 encoded with amd hardware acceleration and low video quality/compression)
      h264-apple-lossless (h264 encoded with apple hardware acceleration and lossless video quality/compression)
      h264-apple-normal (h264 encoded with apple hardware acceleration and normal video quality/compression)
      h264-apple-low (h264 encoded with apple hardware acceleration and low video quality/compression)
      h265 (h265 encoded with default video quality/compression)
      h265-nvidia (h265 encoded with nvidia hardware acceleration)
      h265-amd (h265 encoded with amd hardware acceleration)
      h265-apple (h265 encoded with apple hardware acceleration)
      h265-lossless (h265 encoded with lossless video quality/compression)
      h265-normal (h265 encoded with normal video quality/compression)
      h265-low (h265 encoded with low video quality/compression)
      h265-nvidia-lossless (h265 encoded with nvidia hardware acceleration and lossless video quality/compression)
      h265-nvidia-normal (h265 encoded with nvidia hardware acceleration and normal video quality/compression)
      h265-nvidia-low (h265 encoded with nvidia hardware acceleration and low video quality/compression)
      h265-amd-lossless (h265 encoded with amd hardware acceleration and lossless video quality/compression)
      h265-amd-normal (h265 encoded with amd hardware acceleration and normal video quality/compression)
      h265-amd-low (h265 encoded with amd hardware acceleration and low video quality/compression)
      h265-apple-lossless (h265 encoded with apple hardware acceleration and lossless video quality/compression)
      h265-apple-normal (h265 encoded with apple hardware acceleration and normal video quality/compression)
      h265-apple-low (h265 encoded with apple hardware acceleration and low video quality/compression)
      av1 (av1 encoded with default video quality/compression)
      av1-amd (av1 encoded with amd hardware acceleration)
      av1-lossless (av1 encoded with lossless video quality/compression)
      av1-normal (av1 encoded with normal video quality/compression)
      av1-low (av1 encoded with low video quality/compression)
      av1-amd-lossless (av1 encoded with amd hardware acceleration and lossless video quality/compression)
      av1-amd-normal (av1 encoded with amd hardware acceleration and normal video quality/compression)
      av1-amd-low (av1 encoded with amd hardware acceleration and low video quality/compression)

--ffmpeg-threads=FFMPEG_THREADS
    The number of threads used by ffmpeg to generate the output file. Does not work with every codec/preset and is skipped entirely when specifying custom ffmpeg output arguments instead of a preset for `--ffmpeg-preset`. By default, ffmpeg chooses the thread count which works best for the output codec

--default-subtitle=DEFAULT_SUBTITLE
    Set which subtitle language should be set as default / auto shown when starting a video

--include-fonts
    Include fonts in the downloaded file

--include-chapters
    Includes chapters (e.g. intro, credits, ...). . Only works if `--merge` is set to 'audio'. Because chapters are essentially only special timeframes in episodes like the intro, most of the video timeline isn't covered by a chapter.
        These "gaps" are filled with an 'Episode' chapter because many video players are ignore those gaps and just assume that a chapter ends when the next chapter start is reached, even if a specific end-time is set.
        Also chapters aren't always available, so in this case, just a big 'Episode' chapter from start to end will be created

--no-closed-caption
    Omit closed caption subtitles in the downloaded file

--skip-existing
    Skip files which are already existing by their name

--skip-existing-method=SKIP_EXISTING_METHOD
    Only works in combination with `--skip-existing`. By default, already existing files are determined by their name and the download of the corresponding episode is skipped. With this flag you can modify this behavior. Valid options are 'audio' and 'subtitle' (if the file already exists but the audio/subtitle are less from what should be downloaded, the episode gets downloaded and the file overwritten).

--skip-specials
    Skip special episodes

-y, --yes
    Skip any interactive input

-t, --threads=THREADS [default: 6]
    The number of threads used to download

-h, --help
    Print help (see a summary with '-h')

<URLS>
    Crunchyroll series url(s)